/*
 * CAMETEO project
 * 
 * This is a personnal project of weather station with
 * automatic photo taking.
 * This code is the weather station part and is meant 
 * to be run on a PJRC Teensy 3.2 board.
 * 
 * Author : Arofarn
 * 
 * Licence : GPL v3
 * 
 */

//Protocols
#include <Wire.h>   // library used with I2C protocol
#include <SPI.h>    // SPI protocol

//Teensy3.x Real Time Clock
#include <TimeLib.h>

//SD card
#include <SD.h>

// Sensors
#include <Adafruit_Sensor.h>    // Generic
//#include <DHT.h>                // DHT22
//#include <DHT_U.h>              // DHT22 unified
//#include <Adafruit_BMP085_U.h>  // BMP180
#include <Adafruit_BME280.h>    // BME280
#include <PWFusion_AS3935.h>

//GPS
//#include <Adafruit_GPS.h>       // Adafruit Ultimate GPS
#include <TinyGPS.h>            //Builtin GPS lib

